HALT(8)

NAME
halt, poweroff, reboot - Halt, power-off or reboot the machine

SYNOPSIS

halt [OPTIONS...]

poweroff [OPTIONS...]

reboot [OPTIONS...]

DESCRIPTION

halt, poweroff, reboot may be used to halt, power-off or reboot the machine.

OPTIONS

The following options are understood:

--help
    Print a short help text and exit.

--halt
    Halt the machine, regardless of which one of the three commands is invoked.

-p, --poweroff
    Power-off the machine, regardless of which one of the three commands is invoked.

--reboot
    Reboot the machine, regardless of which one of the three commands is invoked.

-f, --force
    Force immediate power-off, halt, or reboot. If specified, the co mmand does not contact the init system. In most cases, filesystems are not properly unmounted before shutdown. For example, the command reboot -f is mostly equivalent to systemctl reboot -ff, instead of systemctl reboot -f.

-w, --wtmp-only
    Only write wtmp shutdown entry, do not actually halt, power-off, reboot.

-d, --no-wtmp
    Do not write wtmp shutdown entry.

--no-wall
    Do not send wall message before halt, power-off, reboot.

EXIT STATUS

On success, 0 is returned, a non-zero failure code otherwise.

NOTES

These are legacy commands available for compatibility only.

SEE ALSO

systemd(1), systemctl(1), shutdown(8), wall(1)